API referencePlatformPlatform billing
List_platform_customers
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Query Parameters
email_prefix?string
plan_code?string
status?string
Value in
- "pending"
- "trialing"
- "active"
- "past_due"
- "grace"
- "on_hold"
- "paused"
- "canceled"
- "expired"
- "refunded"
has_dunning?boolean
trial_only?boolean
cursor?string
Format
uuidlimit?integer
Range
0 <= valueHeader Parameters
X-Project-Id*string
UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/platform/v1/billing/customers" \ -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"{ "items": [ { "billing_account_id": "db2251e5-5308-40a7-9f48-3aed5a9ce736", "created_at": "2019-08-24T14:15:22Z", "currency": "string", "current_plan_code": "string", "email": "string", "has_active_dunning": true, "is_trial": true, "last_activity_at": "2019-08-24T14:15:22Z", "mrr_minor": 0, "status": null } ], "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b"}